Viviot.Api

<back to all web services

GetBusinessUserAccessLinkerState

BusinessUserAccesses
Requires Authentication
Requires any of the roles:Admin, TenantAdmin
The following routes are available for this service:
GET/business-user-access/linker-stateGets the current Linker-side state of a business user access's tracked staff codes, for diagnosing access-code sync issues.
GetBusinessUserAccessLinkerState Parameters:
NameParameterData TypeRequiredDescription
BusinessUserAccessIdquerystringYesBusiness User Access Id (GUID)
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
LinkerStateResponse Parameters:
NameParameterData TypeRequiredDescription
DataformObjectNo
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /business-user-access/linker-state HTTP/1.1 
Host: api.4spaces.io 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"data":{},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}